### Enumeration

# RB RhythmDBEntryCategory

#### Declaration

    enum RB.RhythmDBEntryCategory

#### Description [src]

Categories used to group entry types. These are used in a few places to control handling of entries.

#### Members

`RHYTHMDB_ENTRY_NORMAL`

  Normal files on disk.

  - Value: `0`
  - Available since: 3.0
`RHYTHMDB_ENTRY_STREAM`

  Endless streams (eg shoutcast).

  - Value: `1`
  - Available since: 3.0
`RHYTHMDB_ENTRY_CONTAINER`

  Containers for other entries (eg podcast feeds).

  - Value: `2`
  - Available since: 3.0
`RHYTHMDB_ENTRY_VIRTUAL`

  Things Rhythmbox shouldn’t normally deal with.

  - Value: `3`
  - Available since: 3.0